#include <stdio.h>
#include <windows.h>
#include "pwlib.h"

int main(void)
{
	PWLIB_HPROJECT hProject;
	PWLIB_HVOICETRACK hTrack;
	int returnCode;

	// vWFNg
	PWLibCreateProject( &hProject );

	// {CXgbN0USTt@C[h
	returnCode = PWLibLoadUstFile( hProject, 0, "C:\\temp\\sample.ust", "" );
	if( returnCode != PWLIB_ERROR_NOERROR )
	{
		printf( "PWLibLoadUstFile failure. returnCode = %08xh", returnCode );
		return( 0 );
	}

	// gbNϊ
	PWLibGetVoiceTrackHandle( hProject, 0, &hTrack );
	PWLibConvertVoiceTrack( hTrack, PWLIB_CNVOPTION_PIT_MODE1 );

	// g\
	PWLibStartCreatingFrqFile( hProject );
	PWLibWaitCreatingFrqFile( hProject );

	// I[fBIgbN0wavet@C[h
	returnCode = PWLibLoadWaveFile( hProject, 0, "C:\\temp\\sample.wav" );
	if( returnCode != PWLIB_ERROR_NOERROR )
	{
		printf( "PWLibLoadWaveFile failure. returnCode = %08xh", returnCode );
		return( 0 );
	}

	// o
	PWLibOpenWaveOut( hProject, 0 );
	PWLibWoSeek( hProject, 0, PWLIB_UNIT_MS );
	PWLibWoPlay( hProject );
	Sleep( 5000 );
	PWLibWoStop( hProject );
	PWLibCloseWaveOut( hProject );

	// Wavet@Co
	returnCode = PWLibExportWaveFile( hProject, "C:\\temp\\output.wav", 16, 2 );
	if( returnCode != PWLIB_ERROR_NOERROR )
	{
		printf( "PWLibExportWaveFile failure. returnCode = %08xh", returnCode );
		return( 0 );
	}

	// vWFNgj
	PWLibDeleteProject( hProject );

	return( 0 );
}
